de.vc.jfo.flow

## Class StaticContent

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.jfo.FormattingObject
      - - de.vc.jfo.flow.FlowObject
        - - de.vc.jfo.flow.FlowObjectWithElements
          - - de.vc.jfo.flow.StaticContent

- All Implemented Interfaces:
    Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class StaticContent
      extends FlowObjectWithElements

  The fo:static-content formatting object holds a sequence or a tree of formatting objects that is to be presented in a single region or repeated in like-named regions on one or more pages in the page-sequence. Its common use is for repeating or running headers and footers.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.FormattingObject

      `EMPTY_ARRAY`

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticContent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StaticContent` | `add(BlockElement element)` Adds an formatting object (that is a block-group-member) to this FO.
    `StaticContent` | `add(InlineElement element)` Adds an InlineElement embedded in a fo-block.
    `StaticContent` | `add(int idx, BlockElement element)` Adds an formatting object (that is a block-group-member) to this FO.
    `StaticContent` | `add(java.lang.String text)` Adds some text embedded in a fo-block.
    `StaticContent` | `append(StaticContent sc)` Appends the content of the given StaticContent to this content.
    `java.lang.String` | `getFlowName()` Gets the flow-name of this static content.
    `Values.Region` | `getRegion()` Gets the region of this static content.
    `void` | `setFlowName(java.lang.String flowName)` Sets the flow-name directly.
    `void` | `setRegion(Values.Region reg)` Sets the region of this static content.

    - ### Methods inherited from class de.vc.jfo.flow.FlowObjectWithElements

      `add, add, add, add, addAllImpl, addAllUnsafe, addAllUnsafe, addElement, addElement, addElements, addElements, addUnsafe, addUnsafe, clone, firstElement, getElements, isEmpty, lastElement, remove, remove, removeAll, removeElement, removeElement, removeLast, replaceElement, setElement`

    - ### Methods inherited from class de.vc.jfo.FormattingObject

      `cloned, clonedList, createUniqueID, doGetAttribute, doSetAttribute, elementCount, get, getAbsolutePosition, getAccessibility, getAttributeMap, getBackground, getBorder, getDefinedAttributes, getDocument, getFont, getID, getLanguage, getLogger, getMargin, getMeasureValue, getObjectValue, getObjectValue, getObjectValue, getObjectValue, getOrphans, getPadding, getParentFO, getRelativePosition, getWidows, hasBorder, hasID, hasPadding, isHyphenation, setAbsolutePosition, setAccessibility, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setBackground, setBorder, setFont, setHyphenation, setID, setLanguage, setLanguage, setMargin, setOrphans, setPadding, setRelativePosition, setWidows`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `getDefaultMapType, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticContent

          public StaticContent()

  - ### Method Detail

    - #### add

          public StaticContent add(BlockElement element)

      Adds an formatting object (that is a block-group-member) to this FO. at end.
      Parameters:
        `element` - FormattingObject.
      Returns:
        This object for chained calls.

    - #### add

          public StaticContent add(int idx,
                          BlockElement element)

      Adds an formatting object (that is a block-group-member) to this FO. at the given index.
      Parameters:
        `idx` - Index.
        `element` - FormattingObject.
      Returns:
        This object for chained calls.

    - #### append

          public StaticContent append(StaticContent sc)

      Appends the content of the given StaticContent to this content.
      Parameters:
        `sc` - StaticContent you want to append.
      Returns:
        This object for chained calls.

    - #### add

          public StaticContent add(InlineElement element)

      Adds an InlineElement embedded in a fo-block.
      Parameters:
        `element` - Element.
      Returns:
        This object for chained calls.

    - #### add

          public StaticContent add(java.lang.String text)

      Adds some text embedded in a fo-block.
      Parameters:
        `text` - Text.
      Returns:
        This object for chained calls.

    - #### getRegion

          public Values.Region getRegion()

      Gets the region of this static content. This depends on attribute "flow-name".
      Returns:
        Region of static content.

    - #### setRegion

          public void setRegion(Values.Region reg)

      Sets the region of this static content. This sets attribute "flow-name".
      Parameters:
        `reg` - Region of static content.

    - #### setFlowName

          public void setFlowName(java.lang.String flowName)

      Sets the flow-name directly.
      Parameters:
        `flowName` - Name of flow.

    - #### getFlowName

          public java.lang.String getFlowName()

      Gets the flow-name of this static content.
      Returns:
        Name of flow.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.